package com.tistory.antop.proftpd.aop;

import org.apache.log4j.Logger;
import org.aspectj.lang.JoinPoint;

/**
 * 서비스단의 모든 메소드 입출력 데이터 로그
 * @author Antop
 *
 */
public class SoAdvice {

	private Logger logger = Logger.getLogger(getClass());

	public void before(JoinPoint joinPoint) {
		if (logger.isDebugEnabled()) {
			logger.debug("before - " + joinPoint.getSignature().toString());

			Object[] args = joinPoint.getArgs();
			int size = args.length;

			// 입력 인자 로그
			for (int i = 0; i < size; i++) {
				logger.debug("args[" + i + "] = " + args[i]);
			}
		}
	}

	public void afterReturning(JoinPoint joinPoint, Object object) {
		// 출력(리턴) 로그
		if (logger.isDebugEnabled()) {
			logger.debug("after returning - " + joinPoint.getSignature().toString());
			logger.debug("return = " + object);
		}
	}

}
