package com.tistory.antop.proftpd.common;

import javax.servlet.ServletContext;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.ModelAttribute;

import com.tistory.antop.proftpd.common.command.FilterCommand;
import com.tistory.antop.proftpd.common.command.ListCommand;
import com.tistory.antop.proftpd.common.command.SortCommand;
import com.tistory.antop.proftpd.common.vo.FilterVo;
import com.tistory.antop.proftpd.common.vo.InquireInVo;
import com.tistory.antop.proftpd.common.vo.SortVo;

public class BaseController {
	// log4j
	protected Logger logger = Logger.getLogger(getClass());

	@Autowired(required = false)
	private ServletContext servletContext;

	public void setServletContext(ServletContext servletContext) {
		this.servletContext = servletContext;
	}

	public ServletContext getServletContext() {
		return servletContext;
	}

	@ModelAttribute("contextPath")
	public String getContextPath() {
		return getServletContext().getContextPath();
	}

	/**
	 * 목록 조회에 쓰이는 커맨더 객체의 내용을 서비스 단의 VO 객체로 값을 옮긴다.
	 * 
	 * @param command
	 * @param vo
	 */
	protected void mapping(ListCommand command, InquireInVo vo) {
		vo.setPage(command.getPage());
		vo.setStart(command.getStart());
		vo.setLimit(command.getLimit());

		for (SortCommand sc : command.getSort()) {
			SortVo sv = new SortVo();
			sv.setProperty(sc.getProperty());
			sv.setDirection(sc.getDirection());

			vo.getSort().add(sv);
		}

		for (FilterCommand fc : command.getFilter()) {
			FilterVo fv = new FilterVo();
			fv.setProperty(fc.getProperty());
			fv.setValue(fc.getValue());
			fv.setType(fc.getType());
			fv.setOperator(fc.getOperator());

			vo.getFilter().add(fv);
		}
	}
}
