package com.tistory.antop.proftpd.common.command;

import java.util.ArrayList;
import java.util.List;

import org.codehaus.jackson.annotate.JsonIgnoreProperties;

/**
 * 목록 조회용 커맨드 클래스
 * 
 * @author Antop
 *
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class ListCommand {

	private Integer page = 1;
	private Integer start;
	private Integer limit;
	private List<SortCommand> sort = new ArrayList<SortCommand>();
	private List<FilterCommand> filter = new ArrayList<FilterCommand>();

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getStart() {
		return start;
	}

	public void setStart(Integer start) {
		this.start = start;
	}

	public Integer getLimit() {
		return limit;
	}

	public void setLimit(Integer limit) {
		this.limit = limit;
	}

	public List<SortCommand> getSort() {
		return sort;
	}

	public void setSort(List<SortCommand> sort) {
		this.sort = sort;
	}

	public List<FilterCommand> getFilter() {
		return filter;
	}

	public void setFilter(List<FilterCommand> filter) {
		this.filter = filter;
	}

	@Override
	public String toString() {
		return "ListCommand [page=" + page + ", start=" + start + ", limit="
				+ limit + ", sort=" + sort + ", filter=" + filter + "]";
	}

}
