package com.tistory.antop.proftpd.common.util;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

public class Utils {

	/**
	 * 문자열이 비어있는지 체크
	 * @param s 문자열
	 * @return
	 */
	public static boolean isEmpty(String s) {
		if (s == null) {
			return true;
		}

		if (s.trim().length() == 0) {
			return true;
		}

		return false;
	}
	
	/**
	 * 문자열이 비어있지 않은지 체크
	 * @param s
	 * @return
	 */
	public static boolean isNotEmpty(String s) {
		if (s == null) {
			return false;
		}

		if (s.trim().length() == 0) {
			return false;
		}

		return true;
	}

	public static Date parseDate(String date, String pattern) {
		SimpleDateFormat sdf = new SimpleDateFormat(pattern);

		try {
			return sdf.parse(date);
		} catch (ParseException e) {
			return null;
		}

	}
	
	/**
	 * 낙타 표기법의 문자열을 언더바 표기법으로 변경
	 * @param camel
	 * @return
	 */
	public static String convertCamelToUnder(String camel) {
		StringBuffer under = new StringBuffer();

		String s = null;
		for (char c : camel.toCharArray()) {
			s = String.valueOf(c);

			if (c >= 65 && c <= 90) {
				// 대문자
				under.append("_");
				s = s.toLowerCase();
			}

			under.append(s);
		}

		return under.toString();
	}
}
