package com.tistory.antop.proftpd.common.vo;

import java.util.HashMap;
import java.util.Map;

public class MapVo extends HashMap<String, Object> {

	private static final long serialVersionUID = 7466503801549368443L;

	public MapVo() {
		super();
	}
	
	public MapVo(Map<String, Object> map) {
		super();
		putAll(map);
	}
	
	public String getString(String key, boolean trim) {
		String s = getString(key);

		if (s != null) {

			if (trim == false) {
				return s;
			}

			s = s.trim();

			if (s.length() == 0) {
				return null;
			}

			return s;
		}

		return null;
	}

	public String getString(String key) {
		Object o = get(key);

		if (o != null) {
			return String.valueOf(o);
		}

		return null;
	}

	public Integer getInt(String key) {
		String s = getString(key, true);

		if (s != null) {
			return Integer.parseInt(s);
		}

		return null;
	}
	
	public Long getLong(String key) {
		String s = getString(key, true);

		if (s != null) {
			return Long.parseLong(s);
		}

		return null;
	}

	@Override
	public Object put(String key, Object value) {
		// 블링크 문자열 -> null
		if (value instanceof String) {
			if (((String) value).trim().length() == 0) {
				value = null;
			}
		}

		return super.put(key, value);
	}

}
