package com.tistory.antop.proftpd.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import com.tistory.antop.proftpd.common.BaseController;
import com.tistory.antop.proftpd.common.vo.InquireOutVo;
import com.tistory.antop.proftpd.controller.command.HistoryListCommand;
import com.tistory.antop.proftpd.mybatis.model.History;
import com.tistory.antop.proftpd.service.HistorySo;
import com.tistory.antop.proftpd.service.vo.HistoryInquireVo;

@Controller
public class HistoryController extends BaseController {

	@Autowired
	private HistorySo historySo;

	/**
	 * 이력 목록 조회
	 * @param modelMap
	 * @param command
	 * @return
	 */
	@RequestMapping(value = "/history/list", method = RequestMethod.POST)
	@ResponseBody
	public ModelMap listMaster(ModelMap modelMap,
			@RequestBody HistoryListCommand command) {

		InquireOutVo<History> outVo = null;
		
		long parent = command.getParent();
		
		// parent 값이 0 이면 마스터 데이터 조회
		if(parent == 0) {
			HistoryInquireVo inVo = new HistoryInquireVo();
			// controller command -> service vo
			mapping(command, inVo);
			// inquire
			outVo = historySo.inquire(inVo);
		} else {
			// 0이 아니면 parent 의 하위 이력 데이터 조회
			// inquire by parent
			outVo  = historySo.inquireByParent(parent);
		}

		// put to model
		modelMap.put("results", outVo.getList());
		modelMap.put("total", outVo.getTotal());

		return modelMap;
	}

}
