package com.tistory.antop.proftpd.mybatis.mapper;

import java.util.List;

import com.tistory.antop.proftpd.common.vo.MapVo;
import com.tistory.antop.proftpd.mybatis.model.Group;

public interface GroupMapper {

	/**
	 * 그룹명으로 그룹을 조회
	 * 
	 * @param name
	 * @return
	 */
	public Group selectByPrimaryKey(String name);

	/**
	 * 조건에 의한 그룹 조회
	 * 
	 * @param mapVo
	 * @return
	 */
	public List<Group> selectByMap(MapVo mapVo);

	/**
	 * 조건에 의한 그룹 카운터
	 * 
	 * @param mapVo
	 * @return
	 */
	public int countByMap(MapVo mapVo);

	/**
	 * 그룹 정보 등록
	 * 
	 * @param group
	 * @return
	 */
	public int insert(Group group);

	/**
	 * 그룹 정보 수정
	 * 
	 * @param group
	 * @return
	 */
	public int update(Group group);

	/**
	 * 그룹 정보 삭제
	 * 
	 * @param name
	 * @return
	 */
	public int delete(String name);

	/**
	 * 유저가 속한 그룹 조회
	 * 
	 * @param userId
	 *            유저 아이디
	 * @return
	 */
	public List<Group> selectInUser(String userId);

}
