package com.tistory.antop.proftpd.mybatis.mapper;

import java.util.List;

import com.tistory.antop.proftpd.common.vo.MapVo;
import com.tistory.antop.proftpd.mybatis.model.History;

public interface HistoryMapper {

	/**
	 * 조건에 의한 이력정보 조회
	 * 
	 * @param condition
	 *            MapVo
	 * @return
	 */
	public List<History> selectByMap(MapVo condition);

	/**
	 * 조건에 의한 카운트
	 * 
	 * @param condition
	 *            MapVo
	 * @return
	 */
	public int countByMap(MapVo condition);

	/**
	 * 상위 번호(seq) 아래 하위 이력 조회
	 * 
	 * @param seq
	 *            상위 이력 번호
	 * @return
	 */
	public List<History> selectByParent(long seq);

	/**
	 * 상위 번호(seq) 아래 하위 이력 카운트
	 * @param seq
	 * @return
	 */
	public int countByParent(long seq);

}
