package com.tistory.antop.proftpd.mybatis.mapper;

import java.util.List;

import com.tistory.antop.proftpd.common.vo.MapVo;
import com.tistory.antop.proftpd.mybatis.model.User;
import com.tistory.antop.proftpd.mybatis.model.UserInGroup;

public interface UserMapper {

	/**
	 * 조건에 의한 사용자 조회
	 * 
	 * @param map
	 *            MapVo
	 * @return
	 */
	public List<User> selectByMap(MapVo map);

	/**
	 * 조건에 의한 사용자 카운트
	 * 
	 * @param map
	 * @return
	 */
	public int countByMap(MapVo map);

	/**
	 * 사용자 아이디로 조회
	 * 
	 * @param id
	 * @return
	 */
	public User selectByPrimaryKey(String id);

	/**
	 * 사용자 정보 등록
	 * 
	 * @param user
	 * @return
	 */
	public int insert(User user);

	/**
	 * 사용자 정보 수정
	 * 
	 * @param user
	 * @return
	 */
	public int update(User user);

	/**
	 * 사용자 정보 삭제
	 * 
	 * @param ids
	 *            List&gt;Long&lt;
	 * @return
	 */
	public int delete(List<Long> ids);

	/**
	 * 그룹과 매핑하여 사용자 조회
	 * 
	 * @param map
	 * @return
	 */
	public List<UserInGroup> selectInGroup(MapVo map);

}
