package com.tistory.antop.proftpd.service;

import java.util.List;

import org.springframework.security.access.prepost.PreAuthorize;

import com.tistory.antop.proftpd.common.vo.InquireOutVo;
import com.tistory.antop.proftpd.mybatis.model.Group;
import com.tistory.antop.proftpd.service.vo.GroupInquireVo;
import com.tistory.antop.proftpd.service.vo.GroupSaveVo;

public interface GroupSo {

	@PreAuthorize("isAuthenticated()")
	public InquireOutVo<Group> inquire(GroupInquireVo inVo);

	@PreAuthorize("hasRole('ROLE_ADMIN')")
	public Group save(GroupSaveVo saveVo);

	@PreAuthorize("hasRole('ROLE_ADMIN')")
	public void remove(List<String> names);

	@PreAuthorize("hasRole('ROLE_ADMIN')")
	public void join(String groupName, List<String> users);

	@PreAuthorize("hasRole('ROLE_ADMIN')")
	public void leave(List<String> users);

}
