package com.tistory.antop.proftpd.service;

import java.util.List;

import org.springframework.security.access.prepost.PreAuthorize;

import com.tistory.antop.proftpd.common.vo.InquireOutVo;
import com.tistory.antop.proftpd.mybatis.model.User;
import com.tistory.antop.proftpd.mybatis.model.UserInGroup;
import com.tistory.antop.proftpd.service.vo.UserInGroupInquireVo;
import com.tistory.antop.proftpd.service.vo.UserInquireVo;
import com.tistory.antop.proftpd.service.vo.UserSaveVo;

public interface UserSo {

	public User inquire(String userId);
	
	@PreAuthorize("isAuthenticated()")
	public InquireOutVo<User> inquire(UserInquireVo inVo);

	@PreAuthorize("hasRole('ROLE_ADMIN')")
	public User save(UserSaveVo saveVo);

	@PreAuthorize("hasRole('ROLE_ADMIN')")
	public void remove(List<Long> ids);

	@PreAuthorize("isAuthenticated()")
	public InquireOutVo<UserInGroup> inquireByGroup(UserInGroupInquireVo inVo);
}
