package com.tistory.antop.proftpd.service.impl;

import java.util.List;

import com.tistory.antop.proftpd.common.BaseSo;
import com.tistory.antop.proftpd.common.vo.InquireOutVo;
import com.tistory.antop.proftpd.common.vo.MapVo;
import com.tistory.antop.proftpd.mybatis.mapper.HistoryMapper;
import com.tistory.antop.proftpd.mybatis.model.History;
import com.tistory.antop.proftpd.service.HistorySo;
import com.tistory.antop.proftpd.service.vo.HistoryInquireVo;

public class HistorySoImpl extends BaseSo implements HistorySo {

	private HistoryMapper historyMapper;

	public void setHistoryMapper(HistoryMapper historyMapper) {
		this.historyMapper = historyMapper;
	}

	@Override
	public InquireOutVo<History> inquire(HistoryInquireVo inVo) {

		InquireOutVo<History> outVo = new InquireOutVo<History>();

		MapVo mapVo = new MapVo();

		mapping(inVo, mapVo, null);

		List<History> list = historyMapper.selectByMap(mapVo);
		int total = historyMapper.countByMap(mapVo);

		return outVo.set(list, total);
	}

	@Override
	public InquireOutVo<History> inquireByParent(long parent) {

		List<History> list = historyMapper.selectByParent(parent);

		InquireOutVo<History> outVo = new InquireOutVo<History>();
		outVo.setList(list);

		return outVo;
	}

}