Ext.require('Proftpd.*');

Ext.define('Proftpd.App', {
	extend : 'Ext.container.Viewport',

	initComponent : function() {
		var me = this;

		// create layout
		Ext.apply(me, {
			layout : {
				type : 'border',
				padding : 5
			},
			items : [ me.createNavi(), me.createTabPanel() ],
			tbar : [{
				text : '123'
			}]
		});
		
		// add
		me.tabPanel.add(Ext.create('Proftpd.HistoryGrid'));

		// render
		me.callParent(arguments);
	},
	createNavi : function() {
		var me = this;

		me.navi = Ext.create('Proftpd.Navi', {
			region : 'west',
			title : '메뉴',
			collapsible : true,
			minWidth : 175,
			maxWidth : 225,
			width : 200,
			split : true,
			navis : [{
				id : 'Proftpd.HistoryGrid',
				title : '이력 조회'
			}, {
				id : 'Proftpd.UserGrid',
				title : '사용자 관리'
			}, {
				id : 'Proftpd.GroupPanel',
				title : '그룹 관리'
			} ]
		});

		me.navi.on('itemselect', function(view, record) {
			var id = record.get('id');
			if (!id) {
				return;
			}

			try {
				var cmp = Ext.getCmp(id);
				if (!cmp) {
					cmp = Ext.create(id);
					me.tabPanel.add(cmp);
				}

				me.tabPanel.setActiveTab(cmp);
			} catch (e) {
				
			}
			
		});

		return me.navi;
	},
	createTabPanel : function() {
		var me = this;

		me.tabPanel = Ext.create('Ext.tab.Panel', {
			region : 'center',
			layout : 'fit',
			items : []
		});
		
		me.tabPanel.on({
			beforeadd : function(tab, panel) {
				Ext.apply(panel, {
					closable : true
				});
			},
			tabchange : function(panel, newCard, oldCard, eOpts) {
				var id = newCard.getId();
				
				// 탭의 선택에 따라 메뉴(뷰)의 아이템 선택 변경
				// 아이템의 아이디와 탭패널의 각각 패널의 아이디와 동일하게 되어야한다.
				if(me.navi) {
					me.navi.selectById(id);
				}
			
			}
		});
		
		return me.tabPanel;
	}
});