Ext.define('Proftpd.GroupPanel', {
	id : 'Proftpd.GroupPanel',
	extend : 'Ext.panel.Panel',
	constructor : function() {
		var me = this;

		me.createGroupGrid();
		me.createMembersGrid();
		
		Ext.apply(me, {
			title : '그룹 관리',
			layout : 'border',
			items : [ me.groupGrid, me.membersGrid ]
		});

		var sm = me.groupGrid.getSelectionModel();
		sm.on('select', function(sm, record, index) {
			me.membersGrid.load(record.get('name'));
		});
		
		// render
		me.callParent(arguments);
	},
	createGroupGrid : function() {
		var me = this;
		
		me.groupGrid = Ext.create('Proftpd.GroupGrid', {
			region : 'center',
			title : '그룹 목록',
			flex : 1,
			style: {
				borderRight : '1px solid #99bce8'
			}
		});
		
		return me.groupGrid;
	},
	createMembersGrid : function() {
		var me = this;
		
		me.membersGrid = Ext.create('Proftpd.MembersGrid', {
			region : 'east',
			title : '사용자 목록',
			flex : 0.8,
			split : true,
			style: {
				borderLeft : '1px solid #99bce8'
			}
		});
		
		return me.membersGrid;
	}
});