Ext.define('Proftpd.Navi', {
	extend : 'Ext.panel.Panel',
	alias : 'widget.navi',
	initComponent: function(){
		var me = this;
		
		// model
		if(Ext.ModelManager.getModel('Navi') == undefined) {
			Ext.define('Navi', {
				extend : 'Ext.data.Model',
				idProperty : 'id',
				fields : ['id', 'title']
			});
		}

		Ext.apply(this, {
			layout : 'fit',
			animCollapse : true,
			items : this.createView()
		});

		// create
		me.callParent(arguments);
	},
	createView : function() {
		this.view = Ext.create('Ext.view.View', {
            store: Ext.create('Ext.data.Store', {
                model: 'Navi',
                data: this.navis
            }),
            selModel: {
                mode: 'SINGLE',
                listeners: {
                    scope: this
                }
            },
            listeners: {
                scope: this,
                viewready: this.onViewReady,
                select : this.onSelect
            },
            trackOver: true,
            cls: 'navi-list',
            itemSelector: '.navi-list-item',
            overItemCls: 'navi-list-item-hover',
            tpl: '<tpl for="."><div class="navi-list-item">{title}</div></tpl>'
        });
		
        return this.view;
	},
	onViewReady: function() {
        // this.view.getSelectionModel().select(this.view.store.first());
    },
    onSelect : function(view, record, eOpts) {
    	this.fireEvent('itemselect', this, record);
    },
    /*
     * 아이디로 뷰의 아이템을 선택되게 한다.
     */
    selectById : function(id) {
    	var me = this;
    	var view = me.view;
    	var sm = view.getSelectionModel();
    	
    	var record = view.getStore().getById(id);
    	
   		if(record && !sm.isSelected(record)) {
   			sm.select(record);
    	}
    }
});