package com.tistory.antop.proftpd;

import java.io.FileNotFoundException;

import junit.framework.TestCase;

import org.apache.log4j.Logger;
import org.junit.Before;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.transaction.TransactionConfiguration;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.Log4jConfigurer;

@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = "classpath*:config/spring/*.xml")
@TransactionConfiguration(transactionManager = "transactionManager", defaultRollback = true)
@Transactional
public class BaseTestCase extends TestCase {

	// log4j
	protected Logger logger = Logger.getLogger(getClass());

	@Before
	public void before() {
		
		try {
			Log4jConfigurer.initLogging("classpath:config/properties/log4j.properties");
		} catch (FileNotFoundException e) {
			System.out.println(e.getMessage());
		}
		
	}
	
}