package com.tistory.antop.proftpd.mapper;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.tistory.antop.proftpd.BaseTestCase;
import com.tistory.antop.proftpd.common.vo.MapVo;
import com.tistory.antop.proftpd.mybatis.mapper.GroupMapper;
import com.tistory.antop.proftpd.mybatis.model.Group;

public class GroupsMapperTest extends BaseTestCase {

	@Autowired
	private GroupMapper groupMapper;
	
	@Test
	public void selectByPrimaryKey() {
		System.out.println("-- selectByPrimaryKey --");
		
		Group group = groupMapper.selectByPrimaryKey("ftpgroup");
		
		System.out.println("group = " + group);
	}
	
	@Test
	public void selectByMap() {
		System.out.println("-- selectByMap --");
		
		MapVo mapVo = new MapVo();
		
		List<Group> list = groupMapper.selectByMap(mapVo);
		
		for(Group group : list) {
			System.out.println(group);
		}
		
	}
	
	@Test
	public void countByMap() {
		System.out.println("-- countByMap --");
		
		MapVo mapVo = new MapVo();
		
		int total = groupMapper.countByMap(mapVo);
		
		System.out.println("total = " + total);
	}
	
	@Test
	public void insert() {
		System.out.println("-- insert --");
		
		List<String> members = new ArrayList<String>();
		members.add("antop");
		members.add("joke00");
		members.add("leecj");
		
		Group group = new Group();
		group.setName("testmember");
		group.setMembers(members);
		
		groupMapper.insert(group);
		
		Group inserted = groupMapper.selectByPrimaryKey("testmember");
		
		System.out.println("inserted = " + inserted);
	}
	
	@Test
	public void update() {
		System.out.println("-- update --");
		
		Group group = groupMapper.selectByPrimaryKey("ftpgroup");
		
		System.out.println("group = " + group);
		
		group.getMembers().add("testid");
		
		groupMapper.update(group);
	}
	
}
