package com.tistory.antop.proftpd.mapper;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.tistory.antop.proftpd.BaseTestCase;
import com.tistory.antop.proftpd.common.vo.MapVo;
import com.tistory.antop.proftpd.mybatis.mapper.UserMapper;
import com.tistory.antop.proftpd.mybatis.model.User;

public class UserMapperTest extends BaseTestCase {

	@Autowired
	private UserMapper userMapper;
	
	public void selectByMap() {
		System.out.println("-- selectByMap --");
		
		MapVo mapVo = new MapVo();
		
		List<User> list =  userMapper.selectByMap(mapVo);
		
		for(User user : list) {
			System.out.println(user);
		}
		
	}
	
	public void countByMap() {
		System.out.println("-- counyByMap --");
		
		MapVo mapVo = new MapVo();
		
		int total = userMapper.countByMap(mapVo);
		
		System.out.println("total = " + total);
	}
	
	public void insert() {
		System.out.println("-- insert --");
		
		User user = new User();
		user.setUserid("test1");
		user.setPasswd("1234");
		user.setValid(false);
		
		System.out.println("user = " + user);

		userMapper.insert(user);
		
		User inserted = userMapper.selectByPrimaryKey("test");
		
		System.out.println("inserted = " + inserted);
	}
	
	public void update() {
		System.out.println("-- update --");
		
		User user = userMapper.selectByPrimaryKey("antop");
		user.setPasswd("antop");
		
		userMapper.update(user);
		
		User updated = userMapper.selectByPrimaryKey("antop");
		
		System.out.println("updated = " + updated);
		
	}
	
	@Test
	public void delete() {
		System.out.println("-- delete --");
		
		List<Long> ids = new ArrayList<Long>();
		ids.add(10L);
		
		userMapper.delete(ids);
		
	}
	
}
