package com.tistory.antop.proftpd.service;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;
import org.springframework.beans.factory.annotation.Autowired;

import com.tistory.antop.proftpd.BaseTestCase;
import com.tistory.antop.proftpd.service.vo.GroupSaveVo;

public class GroupSoTest extends BaseTestCase {

	@Autowired
	private GroupSo groupSo;

	@Test
	public void save() {
		logger.info("// begin save");

		// 새로운 그룹
		GroupSaveVo saveVo = new GroupSaveVo();
		saveVo.setName("antopgroup");
		saveVo.setGid(2011);

		groupSo.save(saveVo);

		// 그룹명(기본키) 수정
		saveVo.setOriginalName("antopgroup");
		saveVo.setName("antop1");
		saveVo.setGid(3001);

		groupSo.save(saveVo);

		logger.info("// end save");
	}

	@Test
	public void delete() {
		logger.info("// begin delete");

		List<String> names = new ArrayList<String>();
		names.add("group01");
		names.add("group02");

		groupSo.remove(names);

		logger.info("// end delete");
	}

	@Test
	public void duplication() {
		logger.info("// begin duplication");

		GroupSaveVo saveVo = new GroupSaveVo();
		saveVo.setOriginalName("antop");
		saveVo.setName("ftpgroup1");
		saveVo.setGid(3001);

		groupSo.save(saveVo);

		logger.info("// end duplication");

	}

}
